PHP Handbuch
Zurück |  | Nach vorne

# mysqli_debug

(PHP 5)

mysqli_debug -- Performs debugging operations

## Description

void mysqli_debug ( string debug)

The mysqli_debug() function is used to perform debugging operations using the Fred Fish debugging library. The `debug` parameter is a string representing the debugging operation to perform.

> Anmerkung: To use the mysqli_debug() function you must complile the MySQL client library to support debugging.

## Return values

mysqli_debug() doesn't return any value.

## See also

mysqli_dump_debug_info(), mysqli_report()

## Example

Beispiel 1. Generating a Trace File
`<?php /* Create a trace file in '/tmp/client.trace' on the local (client) machine: */ mysqli_debug("d:t:0,/tmp/client.trace"); ?>`

Zurück | Zum Anfang | Nach vorne
mysqli_data_seek | Nach oben | mysqli_disable_reads_from_master